---
# Source: kube-prometheus-stack/templates/grafana/dashboards-1.14/pod-total.yaml
apiVersion: v1
kind: ConfigMap
metadata:
  namespace: observability
  name: 20-prometheus-kube-prometh-pod-total
  annotations:
    {}
  labels:
    grafana_dashboard: "1"
    app: kube-prometheus-stack-grafana
    
    app.kubernetes.io/managed-by: Helm
    app.kubernetes.io/instance: 20-prometheus
    app.kubernetes.io/version: "34.2.0"
    app.kubernetes.io/part-of: kube-prometheus-stack
    chart: kube-prometheus-stack-34.2.0
    release: "20-prometheus"
    heritage: "Helm"
data:
  pod-total.json: |-
    {
        "__inputs": [

        ],
        "__requires": [

        ],
        "annotations": {
            "list": [
                {
                    "builtIn": 1,
                    "datasource": "-- Grafana --",
                    "enable": true,
                    "hide": true,
                    "iconColor": "rgba(0, 211, 255, 1)",
                    "name": "Annotations & Alerts",
                    "type": "dashboard"
                }
            ]
        },
        "editable": true,
        "gnetId": null,
        "graphTooltip": 0,
        "hideControls": false,
        "id": null,
        "links": [

        ],
        "panels": [
            {
                "collapse": false,
                "collapsed": false,
                "gridPos": {
                    "h": 1,
                    "w": 24,
                    "x": 0,
                    "y": 0
                },
                "id": 2,
                "panels": [

                ],
                "repeat": null,
                "repeatIteration": null,
                "repeatRowId": null,
                "showTitle": true,
                "title": "Current Bandwidth",
                "titleSize": "h6",
                "type": "row"
            },
            {
                "cacheTimeout": null,
                "colorBackground": false,
                "colorValue": false,
                "colors": [
                    "#299c46",
                    "rgba(237, 129, 40, 0.89)",
                    "#d44a3a"
                ],
                "datasource": "$datasource",
                "decimals": 0,
                "format": "time_series",
                "gauge": {
                    "maxValue": 100,
                    "minValue": 0,
                    "show": false,
                    "thresholdLabels": false,
                    "thresholdMarkers": true
                },
                "gridPos": {
                    "h": 9,
                    "w": 12,
                    "x": 0,
                    "y": 1
                },
                "height": 9,
                "id": 3,
                "interval": null,
                "links": [

                ],
                "mappingType": 1,
                "mappingTypes": [
                    {
                        "name": "value to text",
                        "value": 1
                    },
                    {
                        "name": "range to text",
                        "value": 2
                    }
                ],
                "maxDataPoints": 100,
                "minSpan": 12,
                "nullPointMode": "connected",
                "nullText": null,
                "options": {
                    "fieldOptions": {
                        "calcs": [
                            "last"
                        ],
                        "defaults": {
                            "max": 10000000000,
                            "min": 0,
                            "title": "$namespace: $pod",
                            "unit": "Bps"
                        },
                        "mappings": [

                        ],
                        "override": {

                        },
                        "thresholds": [
                            {
                                "color": "dark-green",
                                "index": 0,
                                "value": null
                            },
                            {
                                "color": "dark-yellow",
                                "index": 1,
                                "value": 5000000000
                            },
                            {
                                "color": "dark-red",
                                "index": 2,
                                "value": 7000000000
                            }
                        ],
                        "values": false
                    }
                },
                "postfix": "",
                "postfixFontSize": "50%",
                "prefix": "",
                "prefixFontSize": "50%",
                "rangeMaps": [
                    {
                        "from": "null",
                        "text": "N/A",
                        "to": "null"
                    }
                ],
                "span": 12,
                "sparkline": {
                    "fillColor": "rgba(31, 118, 189, 0.18)",
                    "full": false,
                    "lineColor": "rgb(31, 120, 193)",
                    "show": false
                },
                "tableColumn": "",
                "targets": [
                    {
                        "expr": "sum(irate(container_network_receive_bytes_total{cluster=\"$cluster\",namespace=~\"$namespace\", pod=~\"$pod\"}[$interval:$resolution]))",
                        "format": "time_series",
                        "instant": null,
                        "intervalFactor": 1,
                        "legendFormat": "",
                        "refId": "A"
                    }
                ],
                "thresholds": "",
                "timeFrom": null,
                "timeShift": null,
                "title": "Current Rate of Bytes Received",
                "type": "gauge",
                "valueFontSize": "80%",
                "valueMaps": [
                    {
                        "op": "=",
                        "text": "N/A",
                        "value": "null"
                    }
                ],
                "valueName": "current"
            },
            {
                "cacheTimeout": null,
                "colorBackground": false,
                "colorValue": false,
                "colors": [
                    "#299c46",
                    "rgba(237, 129, 40, 0.89)",
                    "#d44a3a"
                ],
                "datasource": "$datasource",
                "decimals": 0,
                "format": "time_series",
                "gauge": {
                    "maxValue": 100,
                    "minValue": 0,
                    "show": false,
                    "thresholdLabels": false,
                    "thresholdMarkers": true
                },
                "gridPos": {
                    "h": 9,
                    "w": 12,
                    "x": 12,
                    "y": 1
                },
                "height": 9,
                "id": 4,
                "interval": null,
                "links": [

                ],
                "mappingType": 1,
                "mappingTypes": [
                    {
                        "name": "value to text",
                        "value": 1
                    },
                    {
                        "name": "range to text",
                        "value": 2
                    }
                ],
                "maxDataPoints": 100,
                "minSpan": 12,
                "nullPointMode": "connected",
                "nullText": null,
                "options": {
                    "fieldOptions": {
                        "calcs": [
                            "last"
                        ],
                        "defaults": {
                            "max": 10000000000,
                            "min": 0,
                            "title": "$namespace: $pod",
                            "unit": "Bps"
                        },
                        "mappings": [

                        ],
                        "override": {

                        },
                        "thresholds": [
                            {
                                "color": "dark-green",
                                "index": 0,
                                "value": null
                            },
                            {
                                "color": "dark-yellow",
                                "index": 1,
                                "value": 5000000000
                            },
                            {
                                "color": "dark-red",
                                "index": 2,
                                "value": 7000000000
                            }
                        ],
                        "values": false
                    }
                },
                "postfix": "",
                "postfixFontSize": "50%",
                "prefix": "",
                "prefixFontSize": "50%",
                "rangeMaps": [
                    {
                        "from": "null",
                        "text": "N/A",
                        "to": "null"
                    }
                ],
                "span": 12,
                "sparkline": {
                    "fillColor": "rgba(31, 118, 189, 0.18)",
                    "full": false,
                    "lineColor": "rgb(31, 120, 193)",
                    "show": false
                },
                "tableColumn": "",
                "targets": [
                    {
                        "expr": "sum(irate(container_network_transmit_bytes_total{cluster=\"$cluster\",namespace=~\"$namespace\", pod=~\"$pod\"}[$interval:$resolution]))",
                        "format": "time_series",
                        "instant": null,
                        "intervalFactor": 1,
                        "legendFormat": "",
                        "refId": "A"
                    }
                ],
                "thresholds": "",
                "timeFrom": null,
                "timeShift": null,
                "title": "Current Rate of Bytes Transmitted",
                "type": "gauge",
                "valueFontSize": "80%",
                "valueMaps": [
                    {
                        "op": "=",
                        "text": "N/A",
                        "value": "null"
                    }
                ],
                "valueName": "current"
            },
            {
                "collapse": false,
                "collapsed": false,
                "gridPos": {
                    "h": 1,
                    "w": 24,
                    "x": 0,
                    "y": 10
                },
                "id": 5,
                "panels": [

                ],
                "repeat": null,
                "repeatIteration": null,
                "repeatRowId": null,
                "showTitle": true,
                "title": "Bandwidth",
                "titleSize": "h6",
                "type": "row"
            },
            {
                "aliasColors": {

                },
                "bars": false,
                "dashLength": 10,
                "dashes": false,
                "datasource": "$datasource",
                "fill": 2,
                "fillGradient": 0,
                "gridPos": {
                    "h": 9,
                    "w": 12,
                    "x": 0,
                    "y": 11
                },
                "id": 6,
                "legend": {
                    "alignAsTable": false,
                    "avg": false,
                    "current": false,
                    "hideEmpty": true,
                    "hideZero": true,
                    "max": false,
                    "min": false,
                    "rightSide": false,
                    "show": true,
                    "sideWidth": null,
                    "total": false,
                    "values": false
                },
                "lines": true,
                "linewidth": 2,
                "links": [

                ],
                "minSpan": 12,
                "nullPointMode": "connected",
                "paceLength": 10,
                "percentage": false,
                "pointradius": 5,
                "points": false,
                "renderer": "flot",
                "repeat": null,
                "seriesOverrides": [

                ],
                "spaceLength": 10,
                "span": 12,
                "stack": true,
                "steppedLine": false,
                "targets": [
                    {
                        "expr": "sum(irate(container_network_receive_bytes_total{cluster=\"$cluster\",namespace=~\"$namespace\", pod=~\"$pod\"}[$interval:$resolution])) by (pod)",
                        "format": "time_series",
                        "intervalFactor": 1,
                        "legendFormat": "{{pod}}",
                        "refId": "A",
                        "step": 10
                    }
                ],
                "thresholds": [

                ],
                "timeFrom": null,
                "timeShift": null,
                "title": "Receive Bandwidth",
                "tooltip": {
                    "shared": true,
                    "sort": 2,
                    "value_type": "individual"
                },
                "type": "graph",
                "xaxis": {
                    "buckets": null,
                    "mode": "time",
                    "name": null,
                    "show": true,
                    "values": [

                    ]
                },
                "yaxes": [
                    {
                        "format": "Bps",
                        "label": null,
                        "logBase": 1,
                        "max": null,
                        "min": 0,
                        "show": true
                    },
                    {
                        "format": "Bps",
                        "label": null,
                        "logBase": 1,
                        "max": null,
                        "min": 0,
                        "show": true
                    }
                ]
            },
            {
                "aliasColors": {

                },
                "bars": false,
                "dashLength": 10,
                "dashes": false,
                "datasource": "$datasource",
                "fill": 2,
                "fillGradient": 0,
                "gridPos": {
                    "h": 9,
                    "w": 12,
                    "x": 12,
                    "y": 11
                },
                "id": 7,
                "legend": {
                    "alignAsTable": false,
                    "avg": false,
                    "current": false,
                    "hideEmpty": true,
                    "hideZero": true,
                    "max": false,
                    "min": false,
                    "rightSide": false,
                    "show": true,
                    "sideWidth": null,
                    "total": false,
                    "values": false
                },
                "lines": true,
                "linewidth": 2,
                "links": [

                ],
                "minSpan": 12,
                "nullPointMode": "connected",
                "paceLength": 10,
                "percentage": false,
                "pointradius": 5,
                "points": false,
                "renderer": "flot",
                "repeat": null,
                "seriesOverrides": [

                ],
                "spaceLength": 10,
                "span": 12,
                "stack": true,
                "steppedLine": false,
                "targets": [
                    {
                        "expr": "sum(irate(container_network_transmit_bytes_total{cluster=\"$cluster\",namespace=~\"$namespace\", pod=~\"$pod\"}[$interval:$resolution])) by (pod)",
                        "format": "time_series",
                        "intervalFactor": 1,
                        "legendFormat": "{{pod}}",
                        "refId": "A",
                        "step": 10
                    }
                ],
                "thresholds": [

                ],
                "timeFrom": null,
                "timeShift": null,
                "title": "Transmit Bandwidth",
                "tooltip": {
                    "shared": true,
                    "sort": 2,
                    "value_type": "individual"
                },
                "type": "graph",
                "xaxis": {
                    "buckets": null,
                    "mode": "time",
                    "name": null,
                    "show": true,
                    "values": [

                    ]
                },
                "yaxes": [
                    {
                        "format": "Bps",
                        "label": null,
                        "logBase": 1,
                        "max": null,
                        "min": 0,
                        "show": true
                    },
                    {
                        "format": "Bps",
                        "label": null,
                        "logBase": 1,
                        "max": null,
                        "min": 0,
                        "show": true
                    }
                ]
            },
            {
                "collapse": true,
                "collapsed": true,
                "gridPos": {
                    "h": 1,
                    "w": 24,
                    "x": 0,
                    "y": 20
                },
                "id": 8,
                "panels": [
                    {
                        "aliasColors": {

                        },
                        "bars": false,
                        "dashLength": 10,
                        "dashes": false,
                        "datasource": "$datasource",
                        "fill": 2,
                        "fillGradient": 0,
                        "gridPos": {
                            "h": 10,
                            "w": 12,
                            "x": 0,
                            "y": 21
                        },
                        "id": 9,
                        "legend": {
                            "alignAsTable": false,
                            "avg": false,
                            "current": false,
                            "hideEmpty": true,
                            "hideZero": true,
                            "max": false,
                            "min": false,
                            "rightSide": false,
                            "show": true,
                            "sideWidth": null,
                            "total": false,
                            "values": false
                        },
                        "lines": true,
                        "linewidth": 2,
                        "links": [

                        ],
                        "minSpan": 12,
                        "nullPointMode": "connected",
                        "paceLength": 10,
                        "percentage": false,
                        "pointradius": 5,
                        "points": false,
                        "renderer": "flot",
                        "repeat": null,
                        "seriesOverrides": [

                        ],
                        "spaceLength": 10,
                        "span": 12,
                        "stack": true,
                        "steppedLine": false,
                        "targets": [
                            {
                                "expr": "sum(irate(container_network_receive_packets_total{cluster=\"$cluster\",namespace=~\"$namespace\", pod=~\"$pod\"}[$interval:$resolution])) by (pod)",
                                "format": "time_series",
                                "intervalFactor": 1,
                                "legendFormat": "{{pod}}",
                                "refId": "A",
                                "step": 10
                            }
                        ],
                        "thresholds": [

                        ],
                        "timeFrom": null,
                        "timeShift": null,
                        "title": "Rate of Received Packets",
                        "tooltip": {
                            "shared": true,
                            "sort": 2,
                            "value_type": "individual"
                        },
                        "type": "graph",
                        "xaxis": {
                            "buckets": null,
                            "mode": "time",
                            "name": null,
                            "show": true,
                            "values": [

                            ]
                        },
                        "yaxes": [
                            {
                                "format": "pps",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": 0,
                                "show": true
                            },
                            {
                                "format": "pps",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": 0,
                                "show": true
                            }
                        ]
                    },
                    {
                        "aliasColors": {

                        },
                        "bars": false,
                        "dashLength": 10,
                        "dashes": false,
                        "datasource": "$datasource",
                        "fill": 2,
                        "fillGradient": 0,
                        "gridPos": {
                            "h": 10,
                            "w": 12,
                            "x": 12,
                            "y": 21
                        },
                        "id": 10,
                        "legend": {
                            "alignAsTable": false,
                            "avg": false,
                            "current": false,
                            "hideEmpty": true,
                            "hideZero": true,
                            "max": false,
                            "min": false,
                            "rightSide": false,
                            "show": true,
                            "sideWidth": null,
                            "total": false,
                            "values": false
                        },
                        "lines": true,
                        "linewidth": 2,
                        "links": [

                        ],
                        "minSpan": 12,
                        "nullPointMode": "connected",
                        "paceLength": 10,
                        "percentage": false,
                        "pointradius": 5,
                        "points": false,
                        "renderer": "flot",
                        "repeat": null,
                        "seriesOverrides": [

                        ],
                        "spaceLength": 10,
                        "span": 12,
                        "stack": true,
                        "steppedLine": false,
                        "targets": [
                            {
                                "expr": "sum(irate(container_network_transmit_packets_total{cluster=\"$cluster\",namespace=~\"$namespace\", pod=~\"$pod\"}[$interval:$resolution])) by (pod)",
                                "format": "time_series",
                                "intervalFactor": 1,
                                "legendFormat": "{{pod}}",
                                "refId": "A",
                                "step": 10
                            }
                        ],
                        "thresholds": [

                        ],
                        "timeFrom": null,
                        "timeShift": null,
                        "title": "Rate of Transmitted Packets",
                        "tooltip": {
                            "shared": true,
                            "sort": 2,
                            "value_type": "individual"
                        },
                        "type": "graph",
                        "xaxis": {
                            "buckets": null,
                            "mode": "time",
                            "name": null,
                            "show": true,
                            "values": [

                            ]
                        },
                        "yaxes": [
                            {
                                "format": "pps",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": 0,
                                "show": true
                            },
                            {
                                "format": "pps",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": 0,
                                "show": true
                            }
                        ]
                    }
                ],
                "repeat": null,
                "repeatIteration": null,
                "repeatRowId": null,
                "showTitle": true,
                "title": "Packets",
                "titleSize": "h6",
                "type": "row"
            },
            {
                "collapse": true,
                "collapsed": true,
                "gridPos": {
                    "h": 1,
                    "w": 24,
                    "x": 0,
                    "y": 21
                },
                "id": 11,
                "panels": [
                    {
                        "aliasColors": {

                        },
                        "bars": false,
                        "dashLength": 10,
                        "dashes": false,
                        "datasource": "$datasource",
                        "fill": 2,
                        "fillGradient": 0,
                        "gridPos": {
                            "h": 10,
                            "w": 12,
                            "x": 0,
                            "y": 32
                        },
                        "id": 12,
                        "legend": {
                            "alignAsTable": false,
                            "avg": false,
                            "current": false,
                            "hideEmpty": true,
                            "hideZero": true,
                            "max": false,
                            "min": false,
                            "rightSide": false,
                            "show": true,
                            "sideWidth": null,
                            "total": false,
                            "values": false
                        },
                        "lines": true,
                        "linewidth": 2,
                        "links": [

                        ],
                        "minSpan": 12,
                        "nullPointMode": "connected",
                        "paceLength": 10,
                        "percentage": false,
                        "pointradius": 5,
                        "points": false,
                        "renderer": "flot",
                        "repeat": null,
                        "seriesOverrides": [

                        ],
                        "spaceLength": 10,
                        "span": 12,
                        "stack": true,
                        "steppedLine": false,
                        "targets": [
                            {
                                "expr": "sum(irate(container_network_receive_packets_dropped_total{cluster=\"$cluster\",namespace=~\"$namespace\", pod=~\"$pod\"}[$interval:$resolution])) by (pod)",
                                "format": "time_series",
                                "intervalFactor": 1,
                                "legendFormat": "{{pod}}",
                                "refId": "A",
                                "step": 10
                            }
                        ],
                        "thresholds": [

                        ],
                        "timeFrom": null,
                        "timeShift": null,
                        "title": "Rate of Received Packets Dropped",
                        "tooltip": {
                            "shared": true,
                            "sort": 2,
                            "value_type": "individual"
                        },
                        "type": "graph",
                        "xaxis": {
                            "buckets": null,
                            "mode": "time",
                            "name": null,
                            "show": true,
                            "values": [

                            ]
                        },
                        "yaxes": [
                            {
                                "format": "pps",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": 0,
                                "show": true
                            },
                            {
                                "format": "pps",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": 0,
                                "show": true
                            }
                        ]
                    },
                    {
                        "aliasColors": {

                        },
                        "bars": false,
                        "dashLength": 10,
                        "dashes": false,
                        "datasource": "$datasource",
                        "fill": 2,
                        "fillGradient": 0,
                        "gridPos": {
                            "h": 10,
                            "w": 12,
                            "x": 12,
                            "y": 32
                        },
                        "id": 13,
                        "legend": {
                            "alignAsTable": false,
                            "avg": false,
                            "current": false,
                            "hideEmpty": true,
                            "hideZero": true,
                            "max": false,
                            "min": false,
                            "rightSide": false,
                            "show": true,
                            "sideWidth": null,
                            "total": false,
                            "values": false
                        },
                        "lines": true,
                        "linewidth": 2,
                        "links": [

                        ],
                        "minSpan": 12,
                        "nullPointMode": "connected",
                        "paceLength": 10,
                        "percentage": false,
                        "pointradius": 5,
                        "points": false,
                        "renderer": "flot",
                        "repeat": null,
                        "seriesOverrides": [

                        ],
                        "spaceLength": 10,
                        "span": 12,
                        "stack": true,
                        "steppedLine": false,
                        "targets": [
                            {
                                "expr": "sum(irate(container_network_transmit_packets_dropped_total{cluster=\"$cluster\",namespace=~\"$namespace\", pod=~\"$pod\"}[$interval:$resolution])) by (pod)",
                                "format": "time_series",
                                "intervalFactor": 1,
                                "legendFormat": "{{pod}}",
                                "refId": "A",
                                "step": 10
                            }
                        ],
                        "thresholds": [

                        ],
                        "timeFrom": null,
                        "timeShift": null,
                        "title": "Rate of Transmitted Packets Dropped",
                        "tooltip": {
                            "shared": true,
                            "sort": 2,
                            "value_type": "individual"
                        },
                        "type": "graph",
                        "xaxis": {
                            "buckets": null,
                            "mode": "time",
                            "name": null,
                            "show": true,
                            "values": [

                            ]
                        },
                        "yaxes": [
                            {
                                "format": "pps",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": 0,
                                "show": true
                            },
                            {
                                "format": "pps",
                                "label": null,
                                "logBase": 1,
                                "max": null,
                                "min": 0,
                                "show": true
                            }
                        ]
                    }
                ],
                "repeat": null,
                "repeatIteration": null,
                "repeatRowId": null,
                "showTitle": true,
                "title": "Errors",
                "titleSize": "h6",
                "type": "row"
            }
        ],
        "refresh": "10s",
        "rows": [

        ],
        "schemaVersion": 18,
        "style": "dark",
        "tags": [
            "kubernetes-mixin"
        ],
        "templating": {
            "list": [
                {
                    "current": {
                        "text": "default",
                        "value": "default"
                    },
                    "hide": 0,
                    "label": "Data Source",
                    "name": "datasource",
                    "options": [

                    ],
                    "query": "prometheus",
                    "refresh": 1,
                    "regex": "",
                    "type": "datasource"
                },
                {
                    "allValue": null,
                    "current": {

                    },
                    "datasource": "$datasource",
                    "hide": 2,
                    "includeAll": false,
                    "label": null,
                    "multi": false,
                    "name": "cluster",
                    "options": [

                    ],
                    "query": "label_values(up{job=\"kubelet\", metrics_path=\"/metrics/cadvisor\"}, cluster)",
                    "refresh": 2,
                    "regex": "",
                    "sort": 0,
                    "tagValuesQuery": "",
                    "tags": [

                    ],
                    "tagsQuery": "",
                    "type": "query",
                    "useTags": false
                },
                {
                    "allValue": ".+",
                    "auto": false,
                    "auto_count": 30,
                    "auto_min": "10s",
                    "current": {
                        "text": "kube-system",
                        "value": "kube-system"
                    },
                    "datasource": "$datasource",
                    "definition": "label_values(container_network_receive_packets_total{cluster=\"$cluster\"}, namespace)",
                    "hide": 0,
                    "includeAll": true,
                    "label": null,
                    "multi": false,
                    "name": "namespace",
                    "options": [

                    ],
                    "query": "label_values(container_network_receive_packets_total{cluster=\"$cluster\"}, namespace)",
                    "refresh": 2,
                    "regex": "",
                    "skipUrlSync": false,
                    "sort": 1,
                    "tagValuesQuery": "",
                    "tags": [

                    ],
                    "tagsQuery": "",
                    "type": "query",
                    "useTags": false
                },
                {
                    "allValue": ".+",
                    "auto": false,
                    "auto_count": 30,
                    "auto_min": "10s",
                    "current": {
                        "text": "",
                        "value": ""
                    },
                    "datasource": "$datasource",
                    "definition": "label_values(container_network_receive_packets_total{cluster=\"$cluster\",namespace=~\"$namespace\"}, pod)",
                    "hide": 0,
                    "includeAll": false,
                    "label": null,
                    "multi": false,
                    "name": "pod",
                    "options": [

                    ],
                    "query": "label_values(container_network_receive_packets_total{cluster=\"$cluster\",namespace=~\"$namespace\"}, pod)",
                    "refresh": 2,
                    "regex": "",
                    "skipUrlSync": false,
                    "sort": 1,
                    "tagValuesQuery": "",
                    "tags": [

                    ],
                    "tagsQuery": "",
                    "type": "query",
                    "useTags": false
                },
                {
                    "allValue": null,
                    "auto": false,
                    "auto_count": 30,
                    "auto_min": "10s",
                    "current": {
                        "text": "5m",
                        "value": "5m"
                    },
                    "datasource": "$datasource",
                    "hide": 0,
                    "includeAll": false,
                    "label": null,
                    "multi": false,
                    "name": "resolution",
                    "options": [
                        {
                            "selected": false,
                            "text": "30s",
                            "value": "30s"
                        },
                        {
                            "selected": true,
                            "text": "5m",
                            "value": "5m"
                        },
                        {
                            "selected": false,
                            "text": "1h",
                            "value": "1h"
                        }
                    ],
                    "query": "30s,5m,1h",
                    "refresh": 2,
                    "regex": "",
                    "skipUrlSync": false,
                    "sort": 1,
                    "tagValuesQuery": "",
                    "tags": [

                    ],
                    "tagsQuery": "",
                    "type": "interval",
                    "useTags": false
                },
                {
                    "allValue": null,
                    "auto": false,
                    "auto_count": 30,
                    "auto_min": "10s",
                    "current": {
                        "text": "5m",
                        "value": "5m"
                    },
                    "datasource": "$datasource",
                    "hide": 2,
                    "includeAll": false,
                    "label": null,
                    "multi": false,
                    "name": "interval",
                    "options": [
                        {
                            "selected": true,
                            "text": "4h",
                            "value": "4h"
                        }
                    ],
                    "query": "4h",
                    "refresh": 2,
                    "regex": "",
                    "skipUrlSync": false,
                    "sort": 1,
                    "tagValuesQuery": "",
                    "tags": [

                    ],
                    "tagsQuery": "",
                    "type": "interval",
                    "useTags": false
                }
            ]
        },
        "time": {
            "from": "now-1h",
            "to": "now"
        },
        "timepicker": {
            "refresh_intervals": [
                "5s",
                "10s",
                "30s",
                "1m",
                "5m",
                "15m",
                "30m",
                "1h",
                "2h",
                "1d"
            ],
            "time_options": [
                "5m",
                "15m",
                "1h",
                "6h",
                "12h",
                "24h",
                "2d",
                "7d",
                "30d"
            ]
        },
        "timezone": "utc",
        "title": "Kubernetes / Networking / Pod",
        "uid": "7a18067ce943a40ae25454675c19ff5c",
        "version": 0
    }
